Retrieves rolled-up normalized (weather-adjusted) billing data for a single place on a monthly basis
Use this endpoint to get monthly weather-normalized billing summaries for a specific place.
For organizations, data is rolled up from all child places. Includes use, target comparison, and commodity breakdown.
For all places paginated, use GET /place/digest/normalized/monthly instead.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | Unique numeric identifier of the place to retrieve data for | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of monthly data to include. Defaults to 2 (24-26 months depending on accounting periods). | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
PlaceDigestNormalizedMonthlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodities | An array of monthly data per commodity | PlaceDigestNormalizedMonthlyResponse+CommodityData[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestNormalizedMonthlyResponse+CommodityData properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeCode | The place code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeId | The place identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeInfo | The place info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| results | An array of monthly data | PlaceDigestNormalizedMonthlyResponse+Results[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestNormalizedMonthlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| targetComparison | PlaceDigestNormalizedTargetComparisonMonthly | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestNormalizedTargetComparisonMonthly properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "commodities": [
{ "commodityCode": "string", "commodityId": 1, "commodityInfo": "string", "commonDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "commonDemand": 1.0, "commonUse": 1.0, "cumulativeCommonUse": 1.0, "fiscalPeriod": 1, "fiscalYear": 1, "globalUse": 1.0, "periodName": "string"
}
], "targetComparison": { "results": [], "targetLabel": "string", "targetYear": 1
}
}
], "globalUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "placeCode": "string", "placeId": 1, "placeInfo": "string", "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "fiscalPeriod": 1, "fiscalYear": 1, "globalUse": 1.0, "periodName": "string"
}
], "targetComparison": { "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "fiscalPeriod": 1, "fiscalYear": 1, "globalUse": 1.0, "periodName": "string"
}
], "targetLabel": "string", "targetYear": 1
}, "updated": "2026-06-29"
}
204
No Content
The request succeeded. No content is returned in the response body.